<template>
  <div
    :class="[$style.tabTitle, isActive ? $style.isActiveClass : '']"
    @click="onClickHandler"
  >
    <slot></slot>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "BaseTabTitle",
  props: {
    disabled: {
      type: Boolean,
      required: false,
      default: false
    },
    index: {
      type: Number,
      required: true
    },
    isActive: {
      type: Boolean,
      required: false,
      default: false
    }
  },
  methods: {
    onClickHandler: function() {
      this.$emit("onClick", this.index);
    }
  }
});
</script>

<style module lang="scss">
.tabTitle {
  flex: 1;
  text-align: center;
  padding: 12px 0;
  cursor: pointer;
}
.isActiveClass {
  border-bottom: 3px solid $color--activeTab;
}
</style>
